if (isNaN(parseInt(this.item.system.specification.value))) {
  let value = await ValueDialog.create("Valeur d'armure", "Saisir la valeur d'Armure");
  if (value) {
    this.item.updateSource({"system.specification.value" : value});
  }
}